package models

type MonkeyTask struct {
	Id             int    `json:"id" gorm:"column:id;type:int(11);primary_key;not null;autoIncrement;comment:主键"`
	Project        string `json:"project" gorm:"column:project;type:varchar(255);not null;comment:项目名"`
	PackageURL     string `json:"package_url" gorm:"column:package_url;type:varchar(255);not null;comment:应用包下载链接"`
	PackageName    string `json:"package_name" gorm:"column:package_name;type:varchar(255);not null;comment:应用包名"`
	LaunchActivity string `json:"launch_activity" gorm:"column:launch_activity;type:varchar(255);comment:启动Activity页"`
	DeviceAmount   int    `json:"device_amount" gorm:"column:device_amount;type:int(11);not null;comment:运行设备数"`
	RunTime        int    `json:"run_time" gorm:"column:run_time;type:int(11);not null;comment:运行时间（秒）"`
	Platform       string `json:"platform" gorm:"column:platform;type:varchar(255);comment:平台adr/ios"`
	CrashCount     int    `json:"crash_count" gorm:"column:crash_count;type:int(11);not null;comment:崩溃次数"`
	Creator        string `json:"creator" gorm:"column:creator;type:varchar(255);comment:创建人"`
	Status         string `json:"status" gorm:"column:status;type:varchar(255);not null;comment:运行状态"`
	CreateTime     int    `json:"create_time" gorm:"column:create_time;type:int(11);not null;autoCreateTime;comment:创建时间"`
	UpdateTime     int    `json:"update_time" gorm:"column:update_time;type:int(11);not null;autoUpdateTime;comment:更新时间"`
	IsDel          int    `json:"is_del" gorm:"column:is_del;type:int(1);not null;comment:是否已删除"`
}

func (m *MonkeyTask) TableName() string {
	return "monkey_task"
}
